    
if ! { [ "$VERBOSE" = "packages" ] || [ "$VERBOSE" = "all" ]; }; then unset VERBOSE; fi
source /opt/core_run.env
source $LIB_DIR/verbose.lib 

echo "----- Installing python packages ---------------"
while IFS= read -r plug || [ -n "$plug" ]; do 
    echo installing plugin: $plug
    silence pip install $plug
done < ./python.pkgs
    echo "----- done, Installing python packages ---------------"

echo "----- Installing caddy packages ---------------"
source caddy.sh
caddy_add_packages
echo "----- done, Installing caddy packages ---------------"

echo "----- Downloading editor $EDITOR ---------------"
source $LIB_DIR/helpers.lib  
EDITOR=${EDITOR:-coder/code-server}
ARCH=$(get_arch)
echo downloading $EDITOR version: $(lastversion coder/code-server) for $ARCH
lastversion coder/code-server --assets --filter linux-$ARCH -d /tmp/temp.tar.gz
EDITOR_SRC=${EDITOR_SRC:-/usr/local/lib/code-server}
mkdir -p $EDITOR_SRC
echo unpacking tarball into $EDITOR_SRC 
tar xf /tmp/temp.tar.gz -C $EDITOR_SRC --strip-components=1
rm -rf /tmp/temp.tar.gz
ln -s ${EDITOR_BIN:-$EDITOR_SRC/bin/code-server} /usr/local/bin/editor 
echo "----- done, downloading editor $EDITOR ---------------"  


